Bug 1735509 - monitor servicemonitors in openshift-kube-apiserver/openshift-kube-controller-manager/openshift-kube-scheduler are 0/0 up
Summary: monitor servicemonitors in openshift-kube-apiserver/openshift-kube-controller...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.3.0
Assignee: David Eads
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-01 02:49 UTC by Junqi Zhao
Modified: 2020-01-23 11:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: two service monitor object were installed for each of kube-apiserver, kube-controller-manager and kube-scheduler, one named "monitor", the other one "kube-<apiserver|controller-manager|scheduler>". Consequence: The former object was inactive and showed an irritating "(0/0 up)" message. Fix: The former was inactive and is not created anymore in new clusters. Result: Only the cluster-kube-apiserver/kube-apiserver service monitor (and in analogy for the other two components) is created in new clusters.
Clone Of:
Environment:
Last Closed: 2020-01-23 11:04:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
service discovery page (120.27 KB, image/png)
2019-08-01 02:53 UTC, Junqi Zhao
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 644 'None' closed Bug 1735509: monitoring: move service monitor RBAC rules to manifests/ 2020-07-15 09:26:54 UTC
Github openshift cluster-kube-controller-manager-operator pull 307 'None' closed Bug 1735509: monitoring: move service monitor RBAC rules to manifests/ 2020-07-15 09:26:53 UTC
Github openshift cluster-kube-controller-manager-operator pull 318 'None' closed Bug 1735509: monitoring: move service monitor RBAC rules to manifests/ 2020-07-15 09:26:54 UTC
Github openshift cluster-kube-scheduler-operator pull 182 'None' closed Bug 1735509: monitoring: move service monitor RBAC rules to manifests/ 2020-07-15 09:26:53 UTC
Github openshift cluster-kube-scheduler-operator pull 190 'None' closed Bug 1735509: monitoring: move service monitor RBAC rules to manifests/ 2020-07-15 09:26:53 UTC
Github openshift cluster-openshift-apiserver-operator pull 253 'None' closed Bug 1735509: monitoring: move service monitor RBAC rules to manifests/ 2020-07-15 09:26:53 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:05:06 UTC

Comment 1 Junqi Zhao 2019-08-01 02:53:38 UTC
Created attachment 1596849 [details]
service discovery page

Comment 7 errata-xmlrpc 2020-01-23 11:04:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.